Package org.apache.ignite.mxbean

## Interface ServiceMXBean

All Known Implementing Classes:
  `ServiceMXBeanImpl`

    @Deprecated
    public interface ServiceMXBean

Deprecated.
Use managements API beans, instead.
Service MXBean interface.

See Also:
  `CommandMBean`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `cancel​(String name)` Deprecated.

### Method Detail

#### cancel

    @MXBeanDescription("Kills service by the name.")
    void cancel​(@MXBeanParameter(name="name",description="Service name.")
                String name)

Deprecated.

Parameters:
  `name` - Service name.
See Also:
  `ServiceView.name()`